<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtymis.mapper.GdgltypebmMapper">

    <resultMap id="gdgltypebmMap" type="com.tofly.xrtymis.entity.Gdgltypebm">
        <id property="id" column="ID"/>
        <result property="gdlxMc" column="GDLX_MC"/>
        <result property="yxbz" column="YXBZ"/>
        <result property="gdlxId" column="GDLX_ID"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="statusFlag" column="STATUS_FLAG"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="dataType" column="DATA_TYPE"/>
        <result property="viewType" column="VIEW_TYPE"/>
    </resultMap>
    
    <select id="getTypeName" resultType="String">
        SELECT replace( wm_concat(GDLX_MC),',','-') NAME FROM (SELECT GDLX_MC FROM TF_YWPN_GDGLTYPEBM_W START WITH id =#{id} CONNECT BY PRIOR GDLX_ID = ID ORDER BY id  )
    </select>


</mapper>
